# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.stianloader.picoresolve.version.VersionRange.selectFrom(Collection<MavenVersion>, MavenVersion)
Use `VersionRange.selectFrom(Collection, MavenVersion, VersionSelectionPreference)` instead. This method remains for ABI compatibility and uses the outdated `VersionSelectionPreference.NEWEST_FIRST` selection preference.